[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] reproducible Debian: add support for common-$DPKG_ARCH files
Holger Levsen
gitlab at salsa.debian.org
Sat Apr 21 02:20:07 BST 2018
Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net
Commits:
88ff3aaf by Holger Levsen at 2018-04-20T22:19:56-03:00
reproducible Debian: add support for common-$DPKG_ARCH files
Signed-off-by: Holger Levsen <holger at layer-acht.org>
- - - - -
1 changed file:
- update_jdn.sh
Changes:
=====================================
update_jdn.sh
=====================================
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -539,7 +539,15 @@ fi
# deploy package configuration in /etc and /usr
#
cd $BASEDIR
-for h in common "$HOSTNAME" ; do
+for h in common common-amd64 common-i386 common-arm64 common-armhf "$HOSTNAME" ; do
+ # $HOSTNAME has precedence over common-$DPKG_ARCH over common
+ case $h in
+ common-amd64) [ $DPKG_ARCH = "amd64" ] || continue ;;
+ common-i386) [ $DPKG_ARCH = "i386" ] || continue ;;
+ common-arm64) [ $DPKG_ARCH = "arm64" ] || continue ;;
+ common-armhf) [ $DPKG_ARCH = "armhf" ] || continue ;;
+ *) ;;
+ esac
if [ -d "hosts/$h/etc/sudoers.d/" ]; then
for f in "hosts/$h/etc/sudoers.d/"* ; do
/usr/sbin/visudo -c -f "$f"
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/commit/88ff3aaf2a05b51478d4b40c2c59c622c90089e9
---
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/commit/88ff3aaf2a05b51478d4b40c2c59c622c90089e9
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20180421/22dec658/attachment-0001.html>
More information about the Qa-jenkins-scm
mailing list